%global npm_name dashdash

Name: nodejs-dashdash
Version: 1.14.1
Release: %mkrel 5
Summary: A light, featureful and explicit option parsing library
License: MIT
Group: Development/Other
URL: https://github.com/trentm/node-dashdash#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(assert-plus) >= 1.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr etc %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.txt
%doc CHANGES.md
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.14.1-5.mga10
+ Revision: 2209411
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.14.1-4.mga9
+ Revision: 1820239
- Mageia 9 Mass Rebuild

* Sat Jul 04 2020 joequant <joequant> 1.14.1-3.mga8
+ Revision: 1602012
- redo deps

* Fri Feb 14 2020 umeabot <umeabot> 1.14.1-2.mga8
+ Revision: 1521216
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 1.14.1-1.mga7
+ Revision: 1341709
- imported package nodejs-dashdash

